Class | Archive::Tar::Minitar::Reader::EntryStream
In: | lib/facets/more/minitar.rb
Parent: | Object

EntryStreams are pseudo-streams on top of the main data stream.

### Methods

bytes_read close directory directory? eof? file file? full_name getc new pos read rewind

### Public Class methods

new(header, anIO)

### Public Instance methods

bytes_read()
close()

Closes the entry.

directory()

Alias for directory?

directory?()

Returns `true` if the entry represents a directory.

eof?()

Returns `true` if the current read pointer is at the end of the EntryStream data.

file()

Alias for file?

file?()

Returns `true` if the entry represents a plain file.

full_name()

Returns the full and proper name of the entry.

getc()

Reads one byte from the entry. Returns `nil` if there is no more data to read.

pos()

Returns the current read pointer in the EntryStream.

read(len = nil)

Reads `len` bytes (or all remaining data) from the entry. Returns `nil` if there is no more data to read.

rewind()

Sets the current read pointer to the beginning of the EntryStream.

[Validate]